/**
 * 字典值查询接口
 */
import request from '@/utils/request'

// 事部件（事件类型一级）
export function getEorc(params) {
  return request({
    url: '/dict/code/eorc',
    method: 'get',
    params
  })
}

// 事件状态
export function getCaseState(params) {
  return request({
    url: '/dict/code/caseState',
    method: 'get',
    params
  })
}

// 处理状态
export function getProcessState(params) {
  return request({
    url: '/dict/code/processState',
    method: 'get',
    params
  })
}

// 事件来源
export function getCaseSource(params) {
  return request({
    url: '/dict/code/caseSource',
    method: 'get',
    params
  })
}

// 事件等级
export function getCaseLevel(params) {
  return request({
    url: '/dict/code/caseLevel',
    method: 'get',
    params
  })
}

// 延期申请状态
export function getDelayState(params) {
  return request({
    url: '/dict/code/delayState',
    method: 'get',
    params
  })
}

// 上报请示处理方式
export function getReportType(params) {
  return request({
    url: '/dict/code/reportType',
    method: 'get',
    params
  })
}
// 审核状态
export function getcheckStatus(params) {
  return request({
    url: '/dict/code/checkStatus',
    method: 'get',
    params
  })
}

// 上架状态
export function getGroundStatus(params) {
  return request({
    url: '/dict/code/groundingState',
    method: 'get',
    params
  })
}
// 可用状态
export function getValidStatus(params) {
  return request({
    url: '/dict/code/validState',
    method: 'get',
    params
  })
}
